Name:           qjson
Version:        0.8.1
Release:        %mkrel 3
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
License:        GPLv2
Group:          System/Libraries
Source:			%{name}-%{version}.tar.xz
URL:            http://qjson.sourceforge.net/
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
It can represents integer, real number, string, an ordered sequence of value, 
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects 
will be mapped to QVariantMap.

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname qjson %{major}

%package -n   %{libname}
Summary:      QJson is a qt-based library that maps JSON data to QVariant objects
Group:        System/Libraries
Provides:     %name = %version-%release
Obsoletes:    %name < %version-%release

%description -n   %{libname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname}
%defattr(-,root,root)
%_libdir/libqjson.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d qjson

%package -n %{develname}
Summary:      Development files for QJson
Group:        Development/Libraries
Requires:     %libname = %version-%release
Provides:     %name-devel = %version-%release
Obsoletes:    %{name}-devel < 0.8.1


%description -n %{develname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using 
QJson.

%files -n %{develname}
%defattr(-,root,root)
%_libdir/libqjson.so
%{_libdir}/cmake/qjson/*.cmake
%_libdir/pkgconfig/QJson.pc
%_includedir/qjson

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%clean
rm -rf %buildroot

%changelog
* Sat Apr 23 2016 bb <bb> 0.8.1-3pclos2016
- rebuild for updates

* Mon Feb 23 2015 bb <bb> 0.8.1-2pclos2015
- rebuild new glibc

* Tue Jun 25 2013 Sling Shot <sling-shot at lycos.com> 0.8.1-1slingshot2013
- Update 0.8.1

* Sun Nov 28 2010 Texstar <texstar at gmail.com> 0.7.1-1pclos2010
- import into pclos
